#include "../../bootpack.h"

void Vesa::init(color_16 *vram, int xSize, int ySize)
{
	vram_ = vram;
	xSize_ = xSize;
	ySize_ = ySize;
}

void Vesa::WritePoint(int x, int y, color_16 color)
{
	vram_[xSize_ * y + x] = color;
}

color_16 Vesa::GetPoint(int x, int y)
{
	return vram_[xSize_ * y + x];
}
